Bug Hunting Session
Bug 102466 - FILESAVE: DOCX truncated upon roundtrip
Summary: FILESAVE: DOCX truncated upon roundtrip
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: high critical
Assignee: Serge Krot (CIB)
URL:
Whiteboard: interoperability target:6.0.0
Keywords: dataLoss, filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2016-09-23 22:27 UTC by Aron Budea
Modified: 2018-01-15 13:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2016-09-23 22:27:52 UTC
This is a follow-up to bug 99273. Original report was about the following attachment not being able to be saved (as DOCX):
https://bugs.documentfoundation.org/attachment.cgi?id=124308

File can now be saved (fix will be in 5.2.3 / 5.1.6), but the file is truncated: the first page is missing.

In the last major version that could open and save this doc (4.3), only the first page is shown and saved, but the arrangement looks a bit better there.

This commit caused the DOCX not being able to be saved anymore:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=d379d18666aa42031359ca8eb34b0021960347ae

"oox: import WPS shape with text as shape with textbox
This allows having real shapes (like having rounded corners) and complex
content (like containing a table) at the same time.

WPS shapes are wrappers around drawingML markup in DOCX files, so this
only affects the DOCX import."

This commit made saving possible again:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=fb045517532aababc06fb4b1112def53b03d9144

"crashtesting: assert on export of tdf99571-1.docx to docx"
Comment 1 Aron Budea 2016-09-23 22:31:34 UTC
Setting to NEW based on bug 99273.
Comment 2 Serge Krot (CIB) 2017-11-02 18:26:05 UTC
With actual sources of the LO, the problem (the file is truncated: the first page is missing.) is not reproducible for https://bugs.documentfoundation.org/attachment.cgi?id=124308 test file.

In any case a new unit test should be added.
Comment 3 Commit Notification 2017-11-06 09:37:17 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b68362cfca936752d07f643e4dfdfce411ea6358

tdf#102466 Added unit test: ensure 1st page is not missing

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Serge Krot (CIB) 2017-11-06 09:37:50 UTC
Implemented:
*    Added new unit test - ensure 1st page is not missing - DECLARE_OOXMLEXPORT_TEST(testTdf102466, "tdf102466.docx").